package com.artfess.yhxt.specialcheck.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.specialcheck.model.BizTunnelSpecialCheck;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.specialcheck.vo.BizTunnelSpecialCheckVo;

/**
 * 隧道专项检查表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-10
 */
public interface BizTunnelSpecialCheckManager extends BaseManager<BizTunnelSpecialCheck> {

    PageList<BizTunnelSpecialCheck> queryBizTunnelSpecialCheck(QueryFilter<BizTunnelSpecialCheck> queryFilter);

    BizTunnelSpecialCheck getBizBridgeSpecialById(String id);

    void saveVo(BizTunnelSpecialCheckVo bizTunnelSpecialCheckVo);

    void updateVo(BizTunnelSpecialCheckVo bizTunnelSpecialCheckVo);

    BizTunnelSpecialCheckVo getVo(String id);
}
